Instal·lar GIMP 2.9 en ArchLinux / Manjaro

gimp_02

Tots sabem que GIMP és un editor d'imatges molt bo, però té algunes deficiències en la manca d'algunes funcionalitats que el seu rival privatiu (Photoshop) ja té. És per això que en la versió de desenvolupament han estat treballant en aquestes noves característiques

  • Suport màxim de 64 bits de color per canal.
  • Nou motor de renderitzat GEGL 3.
  • Eina de transformació unificada, és a dir transformar una àrea seleccionada d'una capa, sense necessitat de transformar tota la capa.
  • Eina de deformació.
  • Suport parcial per ús de GPU i Nuclis Múltiples (CPU).
  • Mode de finestra única per defecte
  • Entre altres característiques.

El principal problema és que el codi font està disponible en els PPA d'Ubuntu, per això em vaig prendre el temps de crear un paquet d'AUR. Com sóc nou en Linux en general em prenc unes quantes hores crear-lo.

Instal·lem gimp 2 .9 amb:

yaourt -S gimp-devel

Et dirà que gimp-devel i gimp entren en conflicte escriu «S» o, si no "I". Un cop instal·lat només cal executar a la terminal o des del menú d'aplicacions:

gimp-2.9

Si ja tenies instal·lat Gimp veu a:

Editar > Preferencias > Botón reiniciar

Bé fins aquí el tutorial, és la meva primera entrada, espero escriure més per DesdeLinux. Per cert, si troben algun error durant la instal·lació m'avisen a andrew_ultimate@hotmail.com o si és un error reportar-ho en launchpad.

 


El contingut d'l'article s'adhereix als nostres principis de ètica editorial. Per notificar un error punxa aquí.

23 comentaris, deixa el teu

Deixa el teu comentari

La seva adreça de correu electrònic no es publicarà.

*

*

  1. Responsable de les dades: Miguel Ángel Gatón
  2. Finalitat de les dades: Controlar l'SPAM, gestió de comentaris.
  3. Legitimació: El teu consentiment
  4. Comunicació de les dades: No es comunicaran les dades a tercers excepte per obligació legal.
  5. Emmagatzematge de les dades: Base de dades allotjada en Occentus Networks (UE)
  6. Drets: En qualsevol moment pots limitar, recuperar i esborrar la teva informació.

  1.   Azureus va dir

    Escolta, que genial el suport a múltiples nuclis

    Un moment ... ¿GIMP té manera de finestra única?

    1.    isaac va dir

      Des de la versió 2.8

  2.   eliotime3000 va dir

    Mode de finestra única per defecte ... Definitivament GIMP va a atreure més usuaris en la seva propera versió.

    1.    Ignacio va dir

      ¿Realment a algú li agradava la manera de multiples de finestres?
      A mi sempre em va semblar alguna cosa bastant incomodo

      1.    Andrés va dir

        No, no era molt còmode però tot i així per a persones amb dos o més pantalles els serveix.

  3.   castarc va dir

    A veure quan ens arriba Gimp 2.10 🙂, però em preocupa la manca de visió i comprensió que hi ha dins de l'equip de Gimp sobre l'assumpte dels espais de color. Han comès una salvatjada difícil d'arreglar i que tindrà conseqüències greus de cara a la competència amb altres programes d'edició gràfica: considerar que tot es pot fer treballant en l'espai sRGB «ampliat».

    Deixo un enllaç a un article que ho explicava molt bé (l'agafo de Archive.org perquè per algun motiu ara només queda l'entrada de l'article):
    https://web.archive.org/web/20141104053858/http://ninedegreesbelow.com/photography/sad-state-of-high-bit-depth-gimp-color-management.html

  4.   Sebastian va dir

    ¿I suport CMYK? Que per als que realitzen treballs d'impressió els ve de perles.

    1.    Andrés va dir

      Llegeix això, pròximament després de portar GEGL, es posaran a treballar http://wiki.gimp.org/index.php/Roadmap

      1.    Ignacio va dir

        És cert, no havia pensat en això XD. La veritat que jo només el faig servir com un petit hobby, suposo que a algun profecional li ha de ser molt útil

  5.   JoZ3 va dir

    En manjaro surt el següent error:

    error: destí no trobat: dbus-gliblibexif

    1.    Andrés va dir

      Per ara escriu, ja ho soluciono
      suo pacman -S libexif

      1.    Andrés va dir

        solucionat escriure això
        'Dbus-glib' 'libexif'
        en comptes d'això
        'Dbus-glib' 'libexif'

        XD

      2.    JoZ3 va dir

        Hola andrew, ja que no s'en què estaré fallant però això és l'únic que em instal el gimp-devel:

        http://imgur.com/CCp78td

      3.    Andrés va dir

        Reinstal·la el paquet vaig tenir un problema amb el PKGBUILD i no s'instal·lava aquestes llibreries
        escriu de nou
        yaourt -S gimp-devel

      4.    JoZ3 va dir

        andrew definitivament només instal·la els fitxers mostrats en la imatge anterior i no trobo en cap banda un binari que tingui un nom com gimp-2.9 o alguna cosa per estil, tampoc apareix al menú d'aplicacions ... Ús Manjaro 0.8.12 de 64bits

    2.    Andrés va dir

      Elimineu el paquets i les dependència ho torneu a instal·lar, i em segueix funcionant no es que pot ocórrer-, com vaig dir és el meu primer paquet, i no llei cap guia ho vaig fer a ull és per això que pot tenir problemes, però jo no tinc cap problema a ArchLinux + Cinnamon

      1.    JoZ3 va dir

        Intentaré en una altra ocasió, de tota manera andrew moltes gràcies per l'aportació 🙂

  6.   eugeni va dir

    Jo per ara faig servir el 2.8, però noto cert «lag» a l'hora de moure trossos d'imatge, mentre que altres programes com LibreOffice, o krita, els noto molt més fluid.
    Us passa a vosaltres?

  7.   Guillermo va dir

    Tinc instal·lat Ubuntu 14.04 i no puc instal·lar gimp 2.9
    A la Terminal, un cop escrit el que indica, el sistema respon: «yaourt: no s'ha trobat l'ordre»
    Què he de fer.
    Gràcias

    1.    pecador va dir

      Jajajajajaja !!!
      ubuntu + yaourt ????
      home, que si d'perduts parlem !!!!
      $ Sudo apt install gimp

    2.    Juan Ponce Riquelme va dir

      jajajajjaajajajajajajajaja

    3.    Kyke va dir

      Jajajajajajajajaja, em vas fer el dia. Jajajjaajajajajaja